Pull Request or Patch supplied:No Resolution:
Description

When entering target coordinates in Georeferencer, the GCP table shows only 2 decimal values. I believe the full value is stored

internally, but while transforming, the Georeferencer uses the truncated value. This is especially problematic if the GCP points are close

by and truncating the coordinates to 2 decimal shifts the GCPs to a completely wrong location.

This was reported in the user list in 2011 and the issue still persists. 

http://lists.osgeo.org/pipermail/qgis-user/2011-December/014732.html

Associated revisions

Revision cecae9f1 - 2015-06-19 02:20 PM - Nyall Dawson

[georef] Fix coordinates truncated to 2 decimal places in table

Now, coordinates are shown in table to 4 decimal places, and a

tooltip will show the full precision of coordinates. Editing

coordinates also shows the full precision. (fix #10480)

History

#1 - 2014-06-29 06:34 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Georeferencer

#2 - 2014-11-23 08:17 PM - Miroslav Umlauf

Still happens in 2.6. I would say it is pretty high issue. For system in meters, precision to millimeters are sure fine for majority. But when using WGS 84 or

any degrees, this is significant error and gives the user wrong result without any warning.

#3 - 2014-11-24 12:26 AM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to 2.6.0

#4 - 2014-11-24 09:33 PM - Miroslav Umlauf

Sorry, I did few more tests and this issue doesn't affect precision as far as the values cropped to two decimals were not updated/re-saved. Internally it

keeps original values, including saving to GCP - points - file).

#5 - 2015-06-19 05:21 AM - Nyall Dawson

- Status changed from Open to Closed
Fixed in changeset commit:"cecae9f107351404f202166237b3397735d4d9c2".
